%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Library implementing Samba's embedded database
Name:		tdb
Version:	1.3.14
# We shipped it in samba3 versioned with the samba3 version
Epoch:		1
Release:	1
License:	GPLv2+
Group:		System/Libraries
Url:		http://tdb.samba.org/
Source0:	http://talloc.samba.org/ftp/tdb/tdb-%{version}.tar.gz
Source1:	http://talloc.samba.org/ftp/tdb/tdb-%{version}.tar.asc
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(python)

%track
prog %{name} = {
	url = http://talloc.samba.org/ftp/tdb/
	regex = %{name}-(__VER__)\.tar\.gz
	version = %{version}
}

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library implementing Samba's embedded database
Group:		System/Libraries

%description -n %{libname}
Library implementing Samba's embedded database.

%files -n %{libname}
%{_libdir}/libtdb.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for library implementing Samba's embedded database
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for library implementing Samba's embedded database.

%files -n %{devname}
%{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_libdir}/pkgconfig/tdb.pc

#----------------------------------------------------------------------------

%package -n python-tdb
Summary:	Python bindings to Samba's tdb embedded database
Group:		Development/Python

%description -n python-tdb
Pyhton bindings to Samba's tdb embedded database.

%files -n python-tdb
%{py_platsitedir}/tdb.so
%{py_platsitedir}/_tdb_text.py

#----------------------------------------------------------------------------

%package utils
Summary:	Tools for backing up, restoring, and manipulating Samba's embedded database
Group:		Databases

%description utils
Tools for backing up, restoring, and manipulating Samba's embedded database.

%files utils
%{_bindir}/tdb*
%{_mandir}/man8/tdb*.8*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x \
	--disable-rpath
%make

%install
%makeinstall_std
chmod 755 %{buildroot}%{_libdir}/libtdb.so.%{major}* %{buildroot}%{py_platsitedir}/tdb.so

%changelog
